Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156425 - Panel dialogs always on top
Summary: Panel dialogs always on top
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-29 23:03 UTC by Kyrre Ness Sjøbæk
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gnome-panel-2.10.1-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 08:59:43 UTC


Attachments (Terms of Use)

Description Kyrre Ness Sjøbæk 2005-04-29 23:03:54 UTC
Description of problem:
If i have some app (such as the "add to panel"), and in the bacground starts
something that needs root privs to execute, i get the pasword dialog *under* the
"add to panel" box. Clicking on it in the taskbar (its called "spør" - norwegian
for "ask" - but that is a completely other story) does not bring it on top, i
have to *close* add to panel first.

Version-Release number of selected component (if applicable):
metacity-2.10.0-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I personally thougth the point of that feature was to make sure that no IM
window (etc) popped up over your password dialog and you typed your password in
there and hit enter...

Comment 1 Matthias Clasen 2005-05-07 05:20:18 UTC
It is interesting that metacity fails to raise other windows over any dialogs
opened from the panel. The same is true for the "Delete Panel" dialog, for
"About", etc. They are not transient for the panel, but maybe being in the same
window group is enough to confuse metacity.

Comment 2 Matthias Clasen 2005-05-09 14:26:27 UTC
In fact, removing WM_HINTS (with the window group information) from the "Add to
panel" dialog lets me raise other windows above it.

Comment 3 Matthias Clasen 2005-05-09 15:27:46 UTC
I have filed http://bugzilla.gnome.org/show_bug.cgi?id=303570 about this.

It probably makes more sense to treat it as a panel issue...

Comment 4 Mark McLoughlin 2005-05-11 08:59:43 UTC
(Fixed upstream and backported the patch)

* Wed May 11 2005 Mark McLoughlin <markmc@redhat.com> 2.10.1-10
- Fix "dialogs pop up under panel dialogs" issue (bug #156425)



Note You need to log in before you can comment on or make changes to this bug.